<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- IGAC proyecto SNC 

@author: javier.aponte 									
@description Pantalla de la actividad corespondiente a registrar entrega de producto 
@version 1.0
@cu CU-TV-PR-006
@author javier.aponte

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:productos="http://java.sun.com/jsf/composite/productos"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">
        <p:messages id="msgsRegistrarEntregaProductoPE" showDetail="false"
                    globalOnly="false" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:spacer height="30" width="0" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend> 
                <h:outputLabel value="Registrar entrega de producto" styleClass="legendTitle" /> 
            </legend>

            <productos:productoCatastralResumen id="pcResumen"
                                                selectedSolicitudParam="#{registroEntregaProducto.solicitudSeleccionada}"
                                                documentosSoportesParam="#{registroEntregaProducto.documentosSoportesPC}" />

            <h:form prependId="false" id="registroEntregaProductoForm">	

                <p:spacer height="10" width="0" />

                <h:panelGrid id="fechaEntregaPanel" columns="2">
                    <h:outputLabel value="Fecha de entrega:"
                                   styleClass="outputLabelStyle"/>
                    <h:panelGrid columns="2">
                        <h:outputText value="#{registroEntregaProducto.productoCatastralSeleccionado.fechaEntrega}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFecha}" locale="es" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>
                </h:panelGrid>

                <p:spacer height="10" width="0" />

                <p:fieldset toggleable="true" toggleSpeed="500"
                            id="productosAsociadosASolicitudFS">
                    <legend>
                        <h:outputText value="Productos asociados a la solicitud"
                                      styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid columns="1" width="100%">

                        <p:dataTable id="tblDatosProductosAsociados" var="productoCatastralAsociado"
                                     emptyMessage="No se han adicionado productos a la solicitud"
                                     paginator="true" rows="10"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     value="#{registroEntregaProducto.productosCatastralesAsociados}">

                            <f:facet name="header">
                                Productos asociados a la solicitud
                            </f:facet>

                            <p:column headerText="Código">
                                <h:outputText value="#{productoCatastralAsociado.producto.codigo}" />
                            </p:column>

                            <p:column headerText="Descripción">
                                <h:outputText value="#{productoCatastralAsociado.producto.nombre}" />
                            </p:column>

                            <p:column headerText="Cantidad">
                                <h:outputText value="#{productoCatastralAsociado.cantidad}" />
                            </p:column>	

                        </p:dataTable>

                        <p:spacer height="10" width="0"/>

                        <h:panelGrid id="botonesPanel">
                            <p:commandButton value="Entregar producto"
                                             title="Entregar producto"
                                             icon="ui-icon-seek-next"
                                             ajax="false"	
                                             action="#{registroEntregaProducto.avanzarProcesoAControlarTiempoDeEspera}"/>
                        </h:panelGrid>

                    </h:panelGrid>

                </p:fieldset>    

                <p:spacer height="30" width="0" />

                <p:separator style="width:90%;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" 
                                     icon="ui-icon-circle-close" immediate="true" process="@this"
                                     action="#{registroEntregaProducto.cerrarPaginaPrincipal}"
                                     ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </h:form>
        </p:fieldset>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />	


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{registroEntregaProducto.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{null}" />
            </ui:include>
        </p:dialog>


    </ui:define>
</ui:composition>